Bug 1317391 - Fix possible failure in tests/basic/afr/arbiter.t
Fix possible failure in tests/basic/afr/arbiter.t
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: arbiter (Show other bugs)
3.7.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravishankar N
:
Depends On: 1316462
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-14 04:17 EDT by Ravishankar N
Modified: 2017-03-08 05:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1316462
Environment:
Last Closed: 2017-03-08 05:57:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravishankar N 2016-03-14 04:17:51 EDT
+++ This bug was initially created as a clone of Bug #1316462 +++

Description of problem:

-----------------------------------------------------------------------
master:https://build.gluster.org/job/rackspace-regression-2GB-triggered/18980/console

/tests/basic/afr/arbiter.t (Wstat: 0 Tests: 54 Failed: 3)
  Failed tests:  26, 29, 52

[root@ravi4 glusterfs]# show-test.sh tests/basic/afr/arbiter.t 26
43 TEST setfattr -n user.name -v value1  $M0/file
[root@ravi4 glusterfs]# show-test.sh tests/basic/afr/arbiter.t 29
48 TEST setfattr -n user.name -v value2  $M0/file
[root@ravi4 glusterfs]# show-test.sh tests/basic/afr/arbiter.t 52
81 TEST getfattr -n user.name $M0/file


-----------------------------------------------------------------------
3.7: https://build.gluster.org/job/rackspace-regression-2GB-triggered/18981/console

./tests/basic/afr/arbiter.t (Wstat: 0 Tests: 50 Failed: 3)
  Failed tests:  22, 25, 48
35 TEST setfattr -n user.name -v value1  $M0/file
[root@ravi4 glusterfs]# show-test.sh tests/basic/afr/arbiter.t 25
40 TEST setfattr -n user.name -v value2  $M0/file
[root@ravi4 glusterfs]# show-test.sh tests/basic/afr/arbiter.t 48
73 TEST getfattr -n user.name $M0/file

--- Additional comment from Vijay Bellur on 2016-03-10 05:24:50 EST ---

REVIEW: http://review.gluster.org/13667 (afr: Add more checks to check bricks being up) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

--- Additional comment from Ravishankar N on 2016-03-10 07:39:41 EST ---

Just for the record: http://www.gluster.org/pipermail/gluster-devel/2016-March/048679.html

--- Additional comment from Vijay Bellur on 2016-03-14 04:14:54 EDT ---

COMMIT: http://review.gluster.org/13667 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit e04bc451912733ab12bac28e47b4dd892df667d9
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Thu Mar 10 15:53:23 2016 +0530

    afr: Add more checks to check bricks being up
    
    Change-Id: I27f1a1c2f28d129ef7fafc676a8d3d6b82bcf2e4
    BUG: 1316462
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-on: http://review.gluster.org/13667
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
Comment 1 Vijay Bellur 2016-03-14 04:18:40 EDT
REVIEW: http://review.gluster.org/13693 (afr: Add more checks to check bricks being up) posted (#1) for review on release-3.7 by Ravishankar N (ravishankar@redhat.com)
Comment 2 Mike McCune 2016-03-28 19:24:30 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Kaushal 2017-03-08 05:57:06 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.